HP 2010.2.0.0 Beta Release Candidate

Anders Kaseorg andersk at MIT.EDU
Sun Mar 21 00:00:10 EDT 2010

On Sat, 20 Mar 2010, Don Stewart wrote:
> We're almost done with the spec for the HP 2010.2.0.0. A beta
> installer for the unix package, and the .cabal file is here:
>     http://code.haskell.org/~dons/code/haskell-platform/snapshot/

I recently took over maintainership of the cgi library, and discovered 
that cgi-3001.1.7.2 no longer works with base-3, nor with compilers that 
don’t support PatternGuards.  Both of these are regressions over 
cgi-3001.1.7.1, which was in HP 2009.2.0.2.

I released cgi-3001.1.7.3 that only fixes these regressions.  Is it worth 
including in this HP release?

(I also released cgi-3001.1.8, but that requires adding the 
MonadCatchIO-mtl package which I assume is probably a bad idea this late 
in the HP release cycle.)


More information about the Libraries mailing list